version: "3"

vars:
  GREETING: Hello, World!
env:
  DEFAULT_GROUP: Home
  PRODUCTION: false
  API_PORT: 9000
  API_DOCS: True

dotenv:
  - .env
  - .dev.env
tasks:
  be:seed:
    desc: remove db
    dir: dev/data
    cmds:
      - rm -r fuware.db
  be:
    desc: runs the backend server
    cmds:
      - poetry run python backend/app.py
  fe:i:
    desc: runs the install package
    dir: frontend
    cmds:
      - pnpm i
  fe:
    desc: runs the frontend server
    dir: frontend
    cmds:
      - pnpm dev
